ch.qos.logback.access.pattern

## Class EnsureLineSeparation

- java.lang.Object
- - ch.qos.logback.access.pattern.EnsureLineSeparation

All Implemented Interfaces:
  PostCompileProcessor<IAccessEvent>

    public class EnsureLineSeparation
    extends Object
    implements PostCompileProcessor<IAccessEvent>

### Constructor Summary

Constructors
Constructor and Description
`EnsureLineSeparation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(Context context, Converter<IAccessEvent> head)` Add a line separator converter so that access event appears on a separate line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnsureLineSeparation

    public EnsureLineSeparation()

### Method Detail

#### process

    public void process(Context context,
                        Converter<IAccessEvent> head)

Add a line separator converter so that access event appears on a separate line.

Specified by:
  `process` in interface `PostCompileProcessor<IAccessEvent>`
  `head` - The first converter in the chain